/**
 * postcss-font-size-adjust
 */

var postcss = require("postcss");


module.exports = postcss.plugin('postcss-font-size-adjust', function (opts) {
	opts = opts || {};
	var options = {
			dif: opts.dif || 0,
		},
		pxReg = /(\d+)px/,
		borders, rules;

	return function (css) {
		rules = [];

		if ( options.dif !== 0 && typeof options.dif === 'number' ) {
            css.walkDecls(function (decl) {
                if ( /^font-size$/.test(decl.prop) && pxReg.test(decl.value) ) {
                    var fontSize = parseFloat(decl.value.match(pxReg)[1]) + options.dif;
                    var selector = decl.parent.selector;
                    rules.push(selector + '{font-size:' + fontSize + 'px}');
                }
            });
            
            rules = '@media screen and (device-aspect-ratio: 40/71) {' + rules.join('') + '}';
            rules = postcss.parse(rules);
            css.append(rules);
        }
	};
});